Setup webhook configuration
Setup the webhook configuration
For complete API specification including request/response schemas and interactive examples, see the API Reference.
Overview
Configure or update your webhook endpoint to receive real-time notifications about events in your merchant account.
Request Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
url | string | Yes | HTTPS URL where webhooks will be sent |
events | array | Yes | Array of event types to subscribe to |
Supported Events
| Event | Description |
|---|---|
customer.created | New individual customer created |
customer.updated | Customer data updated |
customer.verification_changed | KYC/KYB status changed |
business.created | New business customer created |
business.updated | Business customer data updated |
wallet.created | Custodial wallet created |
wallet.imported | External wallet imported |
document.uploaded | Document uploaded for customer/shareholder |
account.created | Virtual bank account created |
account.imported | External bank account imported |
account.deleted | Bank account deleted |
transfer.created | Transfer initiated |
transfer.updated | Transfer status changed |
transfer.completed | Transfer completed |
transfer.failed | Transfer failed |
transfer.funded_partial | Partial funding received |
transfer.amount_adjusted | Transfer amount adjusted |
Related Endpoints
- Get Webhook - Retrieve current webhook configuration
- Validate Deliveries - How to verify webhook signatures